require('request');
const requestPromise = require('request-promise');
const unzipper = require('unzipper');

const buffer = await requestPromise('http://www.brisnet.com/samples/aqu0207n.zip', {encoding: null});
const zip = await unzipper.Open.buffer(buffer);

const entries = await Promise.all(zip.files.map(async file => {
  return {
    name: file.path,
    size: file.uncompressedSize,
    data: await file.buffer(),
  };
}));
;
